#ifndef BREAKHANDLER_HPP_INCLUDED
#define BREAKHANDLER_HPP_INCLUDED

#include "../../Core/Types/Timer.hpp"
#include "../../Core/Types/Counter.hpp"

class BreakHandler
{
    public:
        static Counter GetBreakCounter();
        static Timer GetBreakTimer();

        static bool MiniBreak(bool Logout = true);
        static bool ShortBreak(bool Logout = true);
        static bool LongBreak(bool Logout = true);
        static bool Break(bool LogoutOnLong = true, bool LogoutOnShort = true, bool LogoutOnMini = false);
};

#endif // BREAKHANDLER_HPP_INCLUDED
